package hr.fer.zemris.projekt.database.sqliteimpl;

import java.io.File;

import com.almworks.sqlite4java.SQLiteConnection;
import com.almworks.sqlite4java.SQLiteException;
import com.almworks.sqlite4java.SQLiteStatement;

public class DatabaseReset {

	/**
	 * @param args
	 * @throws SQLiteException 
	 */
	public static void main(String[] args) throws SQLiteException {
		SQLiteConnection db = new SQLiteConnection(new File("./database"));
		db = db.open();
		SQLiteStatement st = db.prepare("DROP TABLE tipovi");
		st.step();
		st = db.prepare("DROP TABLE sirovine");
		st.step();
		st = db.prepare("CREATE TABLE tipovi (naziv varchar(20)," +
												"sirina int," +
												"materijal varchar(50)," +
												"boja varchar(20)," +
												"PRIMARY KEY (naziv))");
		st.step();
		st = db.prepare("CREATE TABLE sirovine (duljina int," +
												"kolicina int," +
												"tip varchar(20)," +
												"PRIMARY KEY (duljina, tip))");
		st.step();
		st.dispose();
		db.dispose();
	}

}
