package hr.fer.zemris.projekt.util;

import hr.fer.zemris.projekt.swing.MainWindow;

import javax.swing.SwingUtilities;

/**
 * Razred predstavlja pokretača aplikacije. Sadrži main metodu koja stvara glavni prozor korisničkog
 * sučelja.
 * 
 * @author
 * 
 */
public final class Init {

    /**
     * Poziva se pri pokretanju programa. Stvara glavni prozor korisničkog sučelja.
     * 
     * @param args argumenti komandne linije; nisu korišteni
     */
    public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {
		    public void run() {
			new MainWindow();
		    }
		});
    }

}
