package hr.fer.zemris.projekt.algorithm;

import java.util.EventListener;
import java.util.List;

/**
 * Sučelje predstavlja slušač na dostupnost rezultata algoritma.
 * 
 * @author
 * 
 */
public interface AlgorithmResultsListener extends EventListener {

    /**
     * Reagira na dostupnost rezultata algoritma.
     * 
     * @param results rezultati algoritma
     */
    public void algorithmResultsAvailiable(List<AlgorithmResult> results);

}
